inactive menus becomes brighter on sub-sequent clicks

Bug #733740 reported by Omer Akram on 2011-03-12
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Manuel Nicetto
unity (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

Install unity 3.8.14 from natty-proposed and restart your session.

Test case:
1.) Start the program deluge (if not installed do "sudo apt-get install deluge" and start it afterwards)
2.) Focus the program-window of deluge and move the mouse to the global menubar
3.) Look for the inactive (greyed out) menu "Torrent" and keep clicking this item multiple times (say 4 times)
4.) The rendering of the text "Torrent" should not change in any way!
(Optional 5.) Remove the program deluge again with "sudo dpkg --purge deluge deluge-gtk")

start deluge, see there is a greyed out menu 'Torrent' keep on clicking that item, see it will become bright and bright. see the video

Related branches

Omer Akram (om26er) wrote :
Alex Launi (alexlauni) wrote :

I don't understand what the bug here is at all, your video is too short to really communicate anything. Could you try explaining the problem better, or a more complete video?

Changed in unity:
status: New → Incomplete
Alex Launi (alexlauni) on 2011-03-14
Changed in unity (Ubuntu):
status: New → Incomplete

if you keep on clicking that inactive menu the magic is shown, it becomes
brighter and thickers.

PS: guess you are using chromium since chromium's player seem to have
problems with videos uploaded from gtk-recordmydesktop

On Mon, Mar 14, 2011 at 9:28 PM, Alex Launi <email address hidden>wrote:

> I don't understand what the bug here is at all, your video is too short
> to really communicate anything. Could you try explaining the problem
> better, or a more complete video?
>
> ** Also affects: unity (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: unity
> Status: New => Incomplete
>
> ** Changed in: unity (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity in ubuntu.
> https://bugs.launchpad.net/bugs/733740
>
> Title:
> inactive menus becomes brighter on sub-sequent clicks
>
> Status in Unity:
> Incomplete
> Status in “unity” package in Ubuntu:
> Incomplete
>
> Bug description:
> start deluge, see there is a greyed out menu 'Torrent' keep on
> clicking that item, see it will become bright and bright. see the
> video
>

Omer Akram (om26er) on 2011-03-24
Changed in unity:
status: Incomplete → New
Changed in unity (Ubuntu):
status: Incomplete → New
Mirco Müller (macslow) wrote :

I get this too. I installed deluge and I am able to reproduce this. My first guess is that there's some clear-painting operation missing.

Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Loris Zinsou (nepenthes) wrote :

I get this too with SoundConverter.

Changed in unity:
assignee: nobody → Manuel Nicetto (manuel-nicetto)
status: Confirmed → In Progress
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed

@Manuel: please, use the "Fix commited" status only when your merge proposal is approved. Thanks!

Changed in unity:
status: Fix Committed → In Progress
Changed in unity (Ubuntu):
status: Fix Committed → In Progress
Mirco Müller (macslow) on 2011-05-26
Changed in unity:
status: In Progress → Fix Committed
Mirco Müller (macslow) on 2011-05-26
description: updated
Didier Roche (didrocks) on 2011-05-26
Changed in unity:
status: Fix Committed → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1

---------------
unity (3.8.14-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu):
status: In Progress → Fix Released

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in unity (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Omer Akram (om26er) wrote :

As the reporter of this bug, I can confirm that the version of Unity in natty-proposed fixes this issue for me. Marking as verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1~natty1

---------------
unity (3.8.14-0ubuntu1~natty1) natty-proposed; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments